Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.issues.controls
Interface IssuesControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.issues.Issue>, ContentControlBase<com.bea.apps.groupspace.issues.Issue,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.issues.Issue>, Serializable

    public interface IssuesControl

extends CM_Control<com.bea.apps.groupspace.issues.Issue>

Create a GroupSpace Issue.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.issues.Issue` | `create(com.bea.apps.groupspace.folders.Folder parentFolder, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String status, String resolution)` Creates the issue below the named folder.
`com.bea.apps.groupspace.issues.Issue` | `create(com.bea.apps.groupspace.folders.Folder parentFolder, String title, String description, String owner, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String status, String priority, boolean isKnowledge, String resolution, com.bea.content.ID[] relatedNodes)`
`com.bea.apps.groupspace.issues.Issue` | `create(com.bea.apps.groupspace.folders.Folder parentFolder, String title, String description, String owner, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String status, String priority, boolean isKnowledge, String resolution, String notes, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`String` | `getNotes(com.bea.apps.groupspace.issues.Issue issue)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.issues.Issue create(com.bea.apps.groupspace.folders.Folder parentFolder,
                                                String description,
                                                com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                String status,
                                                String resolution)
                                                throws Exception

  Creates the issue below the named folder. The parent folder is only relevant for Community and Private visibility.

  Throws
    `Exception`

### create

    com.bea.apps.groupspace.issues.Issue create(com.bea.apps.groupspace.folders.Folder parentFolder,
                                                String title,
                                                String description,
                                                String owner,
                                                com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                String status,
                                                String priority,
                                                boolean isKnowledge,
                                                String resolution,
                                                com.bea.content.ID[] relatedNodes)
                                                throws Exception

  Parameters
    `description` -
    `status` -
    `resolution` -
    `relatedNodes` -
  Returns
  Throws
    `Exception` - The parent folder is only relevant for Community and Private visibility.

### create

    com.bea.apps.groupspace.issues.Issue create(com.bea.apps.groupspace.folders.Folder parentFolder,
                                                String title,
                                                String description,
                                                String owner,
                                                com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                String status,
                                                String priority,
                                                boolean isKnowledge,
                                                String resolution,
                                                String notes,
                                                com.bea.content.ID[] relatedNodes,
                                                Set<CmxControl.PropertyPair> dynamicProps)
                                                throws Exception

  Parameters
    `description` -
    `status` -
    `resolution` -
    `relatedNodes` -
  Returns
  Throws
    `Exception` - The parent folder is only relevant for Community and Private visibility.

### getNotes

    String getNotes(com.bea.apps.groupspace.issues.Issue issue)
                    throws com.bea.content.RepositoryException,
                           com.bea.content.AuthorizationException

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved